Search authors (name, birth date, top work, number of works)

Searches authors by name and returns their birth/death dates, top work and number of works.

Request

GEThttps://books.p.apihiver.com/v1/authors?q=tolkien
*
String. Search text.
Number. Maximum number of results (1–50, default 10).
Language
Client
1curl --request GET \
2  --url 'https://books.p.apihiver.com/v1/authors?q=tolkien&limit=%7Blimit%7D' \
3  --header 'Accept: application/json' \
4  --header 'X-API-Key: YOUR_API_KEY'

Search authors (name, birth date, top work, number of works): Books API reference

Searches authors by name and returns their birth/death dates, top work and number of works. This endpoint is part of the Books API: Search millions of books by title, author or subject, look up any ISBN, and find authors — powered by Open Library.

Example response (200, application/json)

Success.

1{
2  "total": 29,
3  "authors": [
4    {
5      "id": "OL2623360A",
6      "url": "https://openlibrary.org/authors/OL2623360A",
7      "name": "Christopher Tolkien",
8      "top_work": "The Silmarillion",
9      "birth_date": "21 November 1924",
10      "death_date": "16 January 2020",
11      "work_count": 41
12    },
13    {
14      "id": "OL14431239A",
15      "url": "https://openlibrary.org/authors/OL14431239A",
16      "name": "F. Tolkien",
17      "top_work": "Thug Life",
18      "birth_date": null,
19      "death_date": null,
20      "work_count": 21
21    },
22    {
23      "id": "OL26320A",
24      "url": "https://openlibrary.org/authors/OL26320A",
25      "name": "J.R.R. Tolkien",
26      "top_work": "The Hobbit",
27      "birth_date": "3 January 1892",
28      "death_date": "2 September 1973",
29      "work_count": 346
30    }
31  ]
32}

Errors

  • 400 — A required parameter is missing or a value has the wrong format.
    1{
    2  "error": {
    3    "code": "INVALID_INPUT",
    4    "message": "q: Field required"
    5  }
    6}

Gateway errors (missing key, no subscription, rate limits) are listed in Error codes.